using PlcSiemens.Protocol.Common;

namespace PlcSiemens.O
{
    public static class HelperFunction
    {
        public static byte DataSizeByte(DataType dataType)
        {
            switch (dataType)
            {
                case DataType.Bit: return 1;  // S7 sends 1 byte per bit
                case DataType.Byte: return 1;
                case DataType.Char: return 1;
                case DataType.Word: return 2;
                case DataType.DWord: return 4;
                case DataType.Int: return 2;
                case DataType.DInt: return 4;
                case DataType.Real: return 4;
                case DataType.Counter: return 2;
                case DataType.Timer: return 2;
                default: return 0;
            }
        }
    }
}
